﻿@using Siteguide.Web.Models
@model RecursiveAreaModel

@if (Model.Area != null)
{
    if (Model.LinkHref == null)
    {
        <text>@Model.Area.Name</text>
    }
    else
    {
        <a href="@Model.LinkHref(Model.Area)">@Model.Area.Name</a>
    }
}
<ul>
    @foreach (var childAreaModel in Model.ChildAreas)
    {
        <li>
            <partial name="_AreaRecursive" model="childAreaModel" />
        </li>
    }
</ul>

